# List Back In Stock

> Back-in-stock subscriptions (newest first).

Source: https://shopassist.coec.dk/docs/api/reference/engagement/list-back-in-stock · Updated 2026-11-03

`GET /v1/stores/{store_id}/back-in-stock-subscriptions`

- Scope: `engagement:read`
- Rate limit: 600 requests/min per API key (test keys: 60/min)

Back-in-stock subscriptions (newest first).

## Parameters [#parameters]

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `store_id` | path | `string` | yes |  |
| `status` | query | `"pending_confirmation" \| "active" \| "notified" \| "cancelled" \| "expired" \| null` | no |  |
| `updated_since` | query | `string \| null` | no |  |
| `limit` | query | `integer` | no | Page size |
| `cursor` | query | `string \| null` | no | Cursor from the previous page |

## Example request [#example-request]

```bash
curl -X GET "https://api.shopassist.coec.dk/v1/stores/sto_01j8000000e008000000000000/back-in-stock-subscriptions" \
  -H "Authorization: Bearer $SHOPASSIST_API_KEY"
```

## Response 200 (Page_BackInStock_) [#response]

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `data` | `BackInStock[]` | yes |  |
| `data[].created_at` | `string` | yes | format date-time |
| `data[].email` | `string` | yes |  |
| `data[].expires_at` | `string` | yes | format date-time |
| `data[].id` | `string` | yes | pattern `^bis_[0-9a-hjkmnp-tv-z]{26}$` |
| `data[].locale` | `string` | yes |  |
| `data[].location_id` | `string \| null` | yes | pattern `^loc_[0-9a-hjkmnp-tv-z]{26}$` |
| `data[].notified_at` | `string \| null` | yes | format date-time |
| `data[].product_id` | `string` | yes | pattern `^prd_[0-9a-hjkmnp-tv-z]{26}$` |
| `data[].status` | `"pending_confirmation" \| "active" \| "notified" \| "cancelled" \| "expired"` | yes |  |
| `data[].variant_id` | `string` | yes | pattern `^var_[0-9a-hjkmnp-tv-z]{26}$` |
| `has_more` | `boolean` | yes |  |
| `next_cursor` | `string \| null` | yes | Opaque cursor for the next page; null on the last page |

```json
{
  "data": [
    {
      "created_at": "2026-09-28T10:15:30.123Z",
      "email": "string",
      "expires_at": "2026-09-28T10:15:30.123Z",
      "id": "bis_01j8000000e008000000000000",
      "locale": "da-DK",
      "location_id": "loc_01j8000000e008000000000000",
      "notified_at": "2026-09-28T10:15:30.123Z",
      "product_id": "prd_01j8000000e008000000000000",
      "status": "pending_confirmation",
      "variant_id": "var_01j8000000e008000000000000"
    }
  ],
  "has_more": true,
  "next_cursor": "string"
}
```

## Errors [#errors]

| Status | Meaning |
| --- | --- |
| 400 | Bad Request ([error codes](/docs/api/errors)) |
| 401 | Unauthorized ([error codes](/docs/api/errors)) |
| 403 | Forbidden ([error codes](/docs/api/errors)) |
| 404 | Not Found ([error codes](/docs/api/errors)) |
| 422 | Unprocessable Content ([error codes](/docs/api/errors)) |
| 429 | Too Many Requests ([error codes](/docs/api/errors)) |
